Subject: bug#55743: 28.1.50; No directory error in comp-run-async-workers

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Jun 2022 08:55:31 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 03 Jun 2022 05:10:36 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Once again, how would you know what is the correct directory that will
> > allow the compilation (in this case) or any external process (in other
> > cases) DTRT?  The place where we invoke comp-run-async-workers cannot
> > possibly know enough about the compilation to make such decisions.
> 
> comp-run-async-workers knows that it needs an existing directory to
> work, so it should arrange to have an existing directory be the current
> one.

Yes, we can arrange for an existing directory, but:

  . it could be wrong, i.e. it could yield wrong compilation results
  . it will silently sweep under the carpet cases like this one, where
    a Lisp program makes default-directory invalid -- don't we want to
    uncover such cases?